org.apache.maven.shared.io.location

## Interface LocatorStrategy

All Known Implementing Classes:
  ArtifactLocatorStrategy, ClasspathResourceLocatorStrategy, FileLocatorStrategy, URLLocatorStrategy

    public interface LocatorStrategy

Locator Strategy interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`Location` `resolve(String locationSpecification, MessageHolder messageHolder)`

### Method Detail

#### resolve

    Location resolve(String locationSpecification,
                     MessageHolder messageHolder)

Parameters:
  `locationSpecification` - the specification.
  `messageHolder` - `MessageHolder`
Returns:
  `Location`